"""Templates for settings JSON files."""

# Import built-in modules
import os

# Default settings template that gets generated if no settings file exists in
# the private tool package directory.
SMART_EDIT_SETTINGS = {
    "frameless": True,
    "opacity": 100,
    "show_tooltips": True,
    "knobs_ignore": [
        "xpos",
        "ypos",
        "selected",
        "autolabel",
        "onCreate",
        "onDestroy",
        "updateUI",
        "knobChanged",
    ],
    "pin": True,
    "advanced_widgets": True,
    "slider_precision": 2,
    "hotkey": "Z",
    "enable_add_for_node_class": True,
    "quickcripts_root": os.path.join(os.path.expanduser("~"), "cragl",
                                      "smartEdit", "quickscripts.rst")
}

# The knobs list that stores general quickedit knobs that should always be
# exposed for each node class.
CLASS_KNOBS = {}
